Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_size
integer<int32>

Page size (default = 10, max = 100).

Required range: x >= 0
page_number
integer<int32>

Page number (default = 0).

Required range: x >= 0
code
string

Filter by discount code (partial match, case-insensitive)

discount_type
enum<string>

Filter by discount type

Available options:
percentage
active
boolean

Filter by active status (true = not expired, false = expired)

product_id
string

Filter by product restriction (only discounts that apply to this product)

Response

List of active Discounts

items
object[]
required

Array of active (non-deleted) discounts for the current page.

Last modified on March 25, 2026